Subject: ***SPAM*** 68.34 (5) Chicks will be AMAZED by your legendary PROWESS.

From: "Bayani Poyphom" <[email-masked]>
Date: Fri, 1 Feb 2008 11:55:03 -0000

A huge manhood is your ticket to a great sex life, everyday.